Bug 22914 - [bootinst] bootinst messages are not updated
Summary: [bootinst] bootinst messages are not updated
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: 4.1-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-11-17 11:50 UTC by eduardo.viruena
Modified: 2019-01-07 07:04 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eduardo.viruena 2000-11-17 11:50:01 UTC
Windows 9x/FAT 32 records are displayed as "???" when "bootinst"
write the boot manager from win9x's msdos mode.  I mean, these
partitions are displayed as:

			Fx:  ???


But, it does not happen when /stand/sysinstall writes the boot manager.
Windows 9x/FAT32 are displayed as:   

			Fx:   Windows

Fix: 

I suppose new entries must be added to the bootinst's boot manager
specifying the new "sysids" used by FAT32 file systems
How-To-Repeat: Install windows 9x in some partition of your hard disk.
Install FreeBSD in another one.
Reboot your computer.  You will see the display manager prompt
You will see something like this:
		F1:	Windows
		F2:	FreeBSD
Run windows in msdos mode.
Using "bootinst" write the boot manager
You will see something like this:
		F1:	???
		F2:	FreeBSD
Comment 1 Bruce Cran freebsd_committer 2010-03-12 23:35:16 UTC
Responsible Changed
From-To: freebsd-bugs->brucec

Take.
Comment 2 Bruce Cran freebsd_committer 2011-01-23 21:36:58 UTC
Responsible Changed
From-To: brucec->freebsd-bugs

Back to the pool due to lack of time.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:45 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 4 Warner Losh freebsd_committer 2019-01-07 07:04:41 UTC
We print Win now for windows partitions.